//! Heavily in-dev parser library.
//!
//! Inspired by rust-analyzer.
//!
//! See [_Modern Parser Generator_](https://matklad.github.io/2018/06/06/modern-parser-generator.html) by Matklad
#![feature(iter_collect_into)]
pub mod parser;

pub use parser::{
    error::SyntaxError,
    marker::{CompletedMarker, Marker},
    Parser, SyntaxElement,
};
